HtmlBlock (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.view, class: HtmlBlock

Package org.apache.hadoop.yarn.webapp.view

# Class HtmlBlock

java.lang.Object
org.apache.hadoop.yarn.webapp.View
org.apache.hadoop.yarn.webapp.view.TextView
org.apache.hadoop.yarn.webapp.view.HtmlBlock

All Implemented Interfaces:
  `Params`, `SubView`

Direct Known Subclasses:
  `AggregatedLogsBlock`, `AggregatedLogsNavBlock`, `FooterBlock`, `HeaderBlock`, `InfoBlock`, `JQueryUI`, `LipsumBlock`, `LogAggregationHtmlBlock`, `NavBlock`

@LimitedPrivate({"YARN","MapReduce"}) public abstract class HtmlBlock extends TextView implements SubView

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `HtmlBlock.Block`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

  `View.ViewContext`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final long`
  `BYTES_IN_MB`
  `protected static final String`
  `DATE_PATTERN`
  `protected static final String`
  `UNAVAILABLE`

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

  `LOG`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `HtmlBlock()`
  `protected`
  `HtmlBlock(View.ViewContext ctx)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.hadoop.security.UserGroupInformation`
  `getCallerUGI()`
  `protected void`
  `initUserHelpInformationDiv(HtmlBlock.Block html, boolean isEnabled)`
  Initialize User Help Information Div.
  `void`
  `render()`
  The API to render the view
  `protected abstract void`
  `render(HtmlBlock.Block html)`
  Render a block of html.
  `void`
  `renderPartial()`
  render the sub-view

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

  `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

  `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root, root_url, set, setTitle, setTitle, status, url`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNAVAILABLE

    protected static final String UNAVAILABLE
    See Also:
      - Constant Field Values

  - ### BYTES_IN_MB

    protected static final long BYTES_IN_MB
    See Also:
      - Constant Field Values

  - ### DATE_PATTERN

    protected static final String DATE_PATTERN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HtmlBlock

    protected HtmlBlock()

  - ### HtmlBlock

    protected HtmlBlock(View.ViewContext ctx)

- ## Method Details

  - ### render

    public void render()
    Description copied from class: `View`
    The API to render the view
    Specified by:
      `render` in class `View`

  - ### renderPartial

    public void renderPartial()
    Description copied from interface: `SubView`
    render the sub-view
    Specified by:
      `renderPartial` in interface `SubView`

  - ### render

    protected abstract void render(HtmlBlock.Block html)
    Render a block of html. To be overridden by implementation.
    Parameters:
      `html` - the block to render

  - ### getCallerUGI

    protected org.apache.hadoop.security.UserGroupInformation getCallerUGI()

  - ### initUserHelpInformationDiv

    protected void initUserHelpInformationDiv(HtmlBlock.Block html, boolean isEnabled)
    Initialize User Help Information Div. When the user does not configure the Yarn Federation function, prompt the user.
    Parameters:
      `html` - HTML page.
      `isEnabled` - If federation is enabled.